## org.apache.lucene.analysis
Class ValidatingTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.ValidatingTokenFilter

All Implemented Interfaces:
  Closeable

    public final class ValidatingTokenFilter

extends TokenFilter

A TokenFilter that checks consistency of the tokens (eg offsets are consistent with one another).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ValidatingTokenFilter(TokenStream in, String name, boolean offsetsAreCorrect)` The name arg is used to identify this stage when throwing exceptions (useful if you have more than one instance in your chain).

Method Summary
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatingTokenFilter

    public ValidatingTokenFilter(TokenStream in,
                                 String name,
                                 boolean offsetsAreCorrect)

  The name arg is used to identify this stage when throwing exceptions (useful if you have more than one instance in your chain).

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

### end

    public void end()
             throws IOException

  Overrides:
    `end` in class `TokenFilter`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `TokenFilter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.